ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Levas (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-11025) Kerberos: manual kerb is installing kerb packages + overwriting krb5.conf
Date Fri, 08 May 2015 13:52:59 GMT
Robert Levas created AMBARI-11025:
-------------------------------------

             Summary: Kerberos: manual kerb is installing kerb packages + overwriting krb5.conf
                 Key: AMBARI-11025
                 URL: https://issues.apache.org/jira/browse/AMBARI-11025
             Project: Ambari
          Issue Type: Bug
          Components: ambari-web
    Affects Versions: 2.1.0
            Reporter: Robert Levas
            Assignee: Robert Levas
            Priority: Critical
             Fix For: 2.1.0


enable kerb, select manual kerb option.

As first task inStop Services, it's performing kerb client install, which is installs 1) kerb
packages + 2) overwriting my krb5.conf (shouldn't do either of these since this is a manual
kerb).

{code}
2015-05-05 19:09:31,878 - Skipping installation of existing package krb5-workstation
2015-05-05 19:09:31,882 - Directory['/etc'] {'owner': 'root', 'group': 'root', 'mode': 0755,
'recursive': True}
2015-05-05 19:09:32,030 - File['/etc/krb5.conf'] {'owner': 'root', 'content': Template('krb5_conf.j2'),
'group': 'root', 'mode': 0644}
2015-05-05 19:09:32,206 - Writing File['/etc/krb5.conf'] because contents don't match
2015-05-05 19:09:32,491 - Execute['ambari-sudo.sh  -H -E touch /var/lib/ambari-agent/data/hdp-select-set-all.performed
; ambari-sudo.sh /usr/bin/hdp-select set all `ambari-python-wrap /usr/bin/hdp-select versions
| grep ^2.2 | tail -1`'] {'not_if': 'test -f /var/lib/ambari-agent/data/hdp-select-set-all.performed',
'only_if': 'ls -d /usr/hdp/2.2*'}
2015-05-05 19:09:32,553 - Skipping Execute['ambari-sudo.sh  -H -E touch /var/lib/ambari-agent/data/hdp-select-set-all.performed
; ambari-sudo.sh /usr/bin/hdp-select set all `ambari-python-wrap /usr/bin/hdp-select versions
| grep ^2.2 | tail -1`'] due to not_if
2
{code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message